CRM V4

Leads

GET
/v1/crm-v4/leads

Retrieve CRM V4 leads with stage, temperature, owner, and lifecycle timestamps.

Filters:

  • organizationId (required)
  • integrationId (optional)
  • boardId, columnId, phaseType
  • temperature, ownerId
  • createdStart, createdEnd

Authorization

ClientIdAuthClientSecretAuth
headerx-client-id<token>

Client ID

headerx-client-secret<token>

Client secret

Query Parameters

organizationId*string

Organization identifier (required)

integrationId?string

Integration identifier (optional)

boardId?string

Board (pipeline) identifier (optional)

columnId?string

Stage (column) identifier (optional)

phaseType?string

Stage phase type (optional)

temperature?string

Lead temperature (optional)

ownerId?string

Owner (responsible user) identifier (optional)

createdStart?string

Creation date range start (optional)

Formatdate-time
createdEnd?string

Creation date range end (optional)

Formatdate-time
page?integer

Page number (default: 1)

Range1 <= value
Default1
limit?integer

Results per page (default: 500, max: 5000)

Range1 <= value <= 5000
Default500

Response Body

Successful response

application/json
  1. response
data?array<>
meta?
curl -X GET "https://example.com/v1/crm-v4/leads?organizationId=organization_123"
{  "data": [    {      "id": "string",      "board_id": "string",      "title": "string",      "company_name": "string",      "email": "string",      "phone": "string",      "tax_id": "string",      "temperature": "string",      "column_id": "string",      "column_title": "string",      "phase_type": "string",      "owner_id": "string",      "owner_name": "string",      "owner_email": "string",      "company_nationality": "string",      "company_revenue_tier": "string",      "labels": "string",      "virtual_deleted": true,      "lost_reason": "string",      "lost_description": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "tenant_id": "string",      "integration_id": "string",      "organization_id": "string",      "user_id": "string",      "document_id": "string",      "inserted_at": "2019-08-24T14:15:22Z",      "integration_name": "string"    }  ],  "meta": {    "page": 0,    "limit": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}